org.apache.ignite.internal.visor.node

## Class VisorBinaryConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.node.VisorBinaryConfiguration

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorBinaryConfiguration
    extends VisorDataTransferObject

Data transfer object for configuration of binary data structures.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3, V4`

### Constructor Summary

Constructors
Constructor and Description
`VisorBinaryConfiguration()` Default constructor.
`VisorBinaryConfiguration(BinaryConfiguration src)` Create data transfer object for binary configuration.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getIdMapper()`
`String` `getNameMapper()`
`String` `getSerializer()`
`List<VisorBinaryTypeConfiguration>` `getTypeConfigurations()`
`boolean` `isCompactFooter()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorBinaryConfiguration

    public VisorBinaryConfiguration()

Default constructor.

#### VisorBinaryConfiguration

    public VisorBinaryConfiguration(BinaryConfiguration src)

Create data transfer object for binary configuration.

Parameters:
  `src` - Binary configuration.

### Method Detail

#### getIdMapper

    public String getIdMapper()

Returns:
  ID mapper.

#### getNameMapper

    public String getNameMapper()

Returns:
  Name mapper.

#### getSerializer

    public String getSerializer()

Returns:
  Serializer.

#### getTypeConfigurations

    public List<VisorBinaryTypeConfiguration> getTypeConfigurations()

Returns:
  Types.

#### isCompactFooter

    public boolean isCompactFooter()

Returns:
  Compact footer flag.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021